aboutsummaryrefslogtreecommitdiffstats
path: root/testing/xapian-bindings/APKBUILD
diff options
context:
space:
mode:
authorFabian Affolter <fabian@affolter-engineering.ch>2013-11-06 19:49:12 +0000
committerNatanael Copa <ncopa@alpinelinux.org>2013-11-20 10:27:31 +0000
commit7fc63c6f3a81dde75a542d69a8d912abd01022ad (patch)
treeb557c9f0635d4852e42b44bf75395b016e70bcff /testing/xapian-bindings/APKBUILD
parenta73f93b96d68e73f3a95bd25f47564a31538ed27 (diff)
downloadaports-7fc63c6f3a81dde75a542d69a8d912abd01022ad.tar.gz
aports-7fc63c6f3a81dde75a542d69a8d912abd01022ad.tar.bz2
aports-7fc63c6f3a81dde75a542d69a8d912abd01022ad.tar.xz
testing/xapian-bindings: specify license
Diffstat (limited to 'testing/xapian-bindings/APKBUILD')
-rw-r--r--testing/xapian-bindings/APKBUILD92
1 files changed, 45 insertions, 47 deletions
diff --git a/testing/xapian-bindings/APKBUILD b/testing/xapian-bindings/APKBUILD
index a63221bd16..7f9cf04114 100644
--- a/testing/xapian-bindings/APKBUILD
+++ b/testing/xapian-bindings/APKBUILD
@@ -2,20 +2,20 @@
# Maintainer: Francesco Colista <francesco.colista@gmail.com>
pkgname=xapian-bindings
pkgver=1.2.15
-pkgrel=1
+pkgrel=2
pkgdesc="Binding libraries for xapian"
url="http://www.xapian.org"
arch="all"
-license="GPL"
+license="GPL2+"
depends=""
-depends_dev="libtool automake autoconf bash \
- xapian-core-dev perl-dev lua-dev php-dev \
- python-dev ruby-dev tcl-dev"
+depends_dev="libtool automake autoconf bash xapian-core-dev perl-dev lua-dev
+ php-dev python-dev ruby-dev tcl-dev lua"
makedepends="$depends_dev"
install=""
-subpackages="$pkgname-perl $pkgname-lua $pkgname-php \
- $pkgname-python $pkgname-ruby $pkgname-tcl $pkgname-doc"
+subpackages="$pkgname-perl $pkgname-lua $pkgname-php $pkgname-doc
+ $pkgname-python $pkgname-ruby $pkgname-tcl"
source="http://www.oligarchy.co.uk/xapian/$pkgver/$pkgname-$pkgver.tar.gz"
+
_builddir="$srcdir"/$pkgname-$pkgver
prepare() {
local i
@@ -32,86 +32,84 @@ prepare() {
build() {
cd "$_builddir"
- export LUA=/usr/bin/lua
- export LUA_INC=/usr/include
+ export LUA=/usr/bin/lua
+ export LUA_INC=/usr/include
export LUA_LIB=/usr/lib/lua/5.1
- export PERL=/usr/bin/perl
+ export PERL=/usr/bin/perl
export PERL_LIB=/usr/lib/perl5/site_perl
export PERL_ARCH=/usr/lib/perl5/site_perl
- export PHP=/usr/bin/php
- export PYTHON=/usr/bin/python
+ export PHP=/usr/bin/php
+ export PYTHON=/usr/bin/python
export PYTHON_LIB=/usr/lib/python2.7/site-packages
- export RUBY=/usr/bin/ruby
+ export RUBY=/usr/bin/ruby
export RUBY_LIB=/usr/lib/site_ruby
export RUBY_LIB_ARCH=/usr/lib/site_ruby
- export TCL=/usr/bin/tcl
- export TCL_LIB=/usr/lib/xapian-bindings$pkgver
- sh ./configure --prefix=/usr \
- --with-perl \
- --with-lua \
- --with-php \
- --with-python \
- --with-ruby \
- --with-tcl \
+ export TCL=/usr/bin/tcl
+ export TCL_LIB=/usr/lib/xapian-bindings$pkgver
+ ./configure \
+ --prefix=/usr \
+ --with-perl \
+ --with-lua \
+ --with-php \
+ --with-python \
+ --with-ruby \
+ --with-tcl \
XAPIAN_CONFIG=/usr/bin/xapian-config
make || return 1
}
package() {
cd "$_builddir"
- make DESTDIR=$pkgdir install
+ make DESTDIR=$pkgdir install || return 1
}
php() {
arch="all"
- pkgdesc="PHP bindings for the Xapian search engine library"
- install -d "$subpkgdir"/usr/share/php5
- install -d "$subpkgdir"/usr/lib/php/20090626
- echo ';extension=xapian.so' >xapian.ini
- install -Dm644 xapian.ini "$subpkgdir/etc/php/conf.d/xapian.ini"
- mv "$pkgdir"/usr/lib/php/20090626/* "$subpkgdir"/usr/lib/php/20090626/
+ pkgdesc="PHP bindings for the Xapian search engine library"
+ install -d "$subpkgdir"/usr/share/php5
+ install -d "$subpkgdir"/usr/lib/php/20090626
+ echo ';extension=xapian.so' >xapian.ini
+ install -Dm644 xapian.ini "$subpkgdir/etc/php/conf.d/xapian.ini"
+ mv "$pkgdir"/usr/lib/php/20090626/* "$subpkgdir"/usr/lib/php/20090626/
mv "$pkgdir"/usr/share/php5 "$subpkgdir"/usr/share/
}
perl() {
arch="all"
- pkgdesc="Perl bindings for the Xapian search engine library"
- install -d "$subpkgdir"/usr/lib/perl5
- mv "$pkgdir"/usr/lib/perl5 "$subpkgdir"/usr/lib/
+ pkgdesc="Perl bindings for the Xapian search engine library"
+ install -d "$subpkgdir"/usr/lib/perl5
+ mv "$pkgdir"/usr/lib/perl5 "$subpkgdir"/usr/lib/
#mv "$pkgdir"/usr/share/perl5 "$subpkgdir"/usr/share/
}
lua() {
arch="all"
- pkgdesc="Lua bindings for the Xapian search engine library"
- install -d "$subpkgdir"/usr/lib
- mv "$pkgdir"/usr/lib/lua "$subpkgdir"/usr/lib
+ pkgdesc="Lua bindings for the Xapian search engine library"
+ install -d "$subpkgdir"/usr/lib
+ mv "$pkgdir"/usr/lib/lua "$subpkgdir"/usr/lib
}
python() {
arch="all"
- pkgdesc="Python bindings for the Xapian search engine library"
- install -d "$subpkgdir"/usr/lib
- mv "$pkgdir"/usr/lib/python2.7 "$subpkgdir"/usr/lib
+ pkgdesc="Python bindings for the Xapian search engine library"
+ install -d "$subpkgdir"/usr/lib
+ mv "$pkgdir"/usr/lib/python2.7 "$subpkgdir"/usr/lib
}
ruby() {
arch="all"
- pkgdesc="Ruby bindings for the Xapian search engine library"
- install -d "$subpkgdir"/usr/lib
- mv "$pkgdir"/usr/lib/site_ruby "$subpkgdir"/usr/lib
+ pkgdesc="Ruby bindings for the Xapian search engine library"
+ install -d "$subpkgdir"/usr/lib
+ mv "$pkgdir"/usr/lib/site_ruby "$subpkgdir"/usr/lib
}
tcl() {
arch="all"
- pkgdesc="Tcl bindings for the Xapian search engine library"
- install -d "$subpkgdir"/usr/lib
- mv "$pkgdir"/usr/lib/$pkgname$pkgver "$subpkgdir"/usr/lib
+ pkgdesc="Tcl bindings for the Xapian search engine library"
+ install -d "$subpkgdir"/usr/lib
+ mv "$pkgdir"/usr/lib/$pkgname$pkgver "$subpkgdir"/usr/lib
}
-
-
-
md5sums="03833f106b5f681daa73a2bbaadec458 xapian-bindings-1.2.15.tar.gz"
sha256sums="89d30cbd38dcfb9d9e0fccc8e4ba7d6452ffad45afb3f1e9614a3be0a3a33e77 xapian-bindings-1.2.15.tar.gz"
sha512sums="b3733308f0446fa041dcae677b3d3316bd8e775fcd1a1770ca2fab5b60e40463bbbce210cb1161161f6e9f1ff5e5473d38c2dab922b7f4f2705ac165d991c0ec xapian-bindings-1.2.15.tar.gz"